<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net7.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
        <LangVersion>11</LangVersion>
    </PropertyGroup>

    <ItemGroup>
      <ProjectReference Include="..\PresenceApi.Access\PresenceApi.Access.csproj" />
      <ProjectReference Include="..\PresenceApi.Endpoints.Rest\PresenceApi.Endpoints.Rest.csproj" />
      <ProjectReference Include="..\PresenceApi.UseCases\PresenceApi.UseCases.csproj" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="MediatR.Extensions.Microsoft.DependencyInjection" Version="10.0.1" />
    </ItemGroup>
    
</Project>
